org.apache.ignite.internal.processors.cache.persistence

## Interface DatabaseLifecycleListener

All Known Implementing Classes:
  MvccProcessorImpl

    public interface DatabaseLifecycleListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterInitialise(IgniteCacheDatabaseSharedManager mgr)`
`void` `afterMemoryRestore(IgniteCacheDatabaseSharedManager mgr)`
`void` `beforeMemoryRestore(IgniteCacheDatabaseSharedManager mgr)`
`void` `beforeStop(IgniteCacheDatabaseSharedManager mgr)`
`void` `onInitDataRegions(IgniteCacheDatabaseSharedManager mgr)`

### Method Detail

#### onInitDataRegions

    void onInitDataRegions(IgniteCacheDatabaseSharedManager mgr)
                    throws IgniteCheckedException

Parameters:
  `mgr` - Database shared manager.
Throws:
  `IgniteCheckedException`

#### beforeMemoryRestore

    void beforeMemoryRestore(IgniteCacheDatabaseSharedManager mgr)
                      throws IgniteCheckedException

Parameters:
  `mgr` - Page store manager.
Throws:
  `IgniteCheckedException`

#### afterMemoryRestore

    void afterMemoryRestore(IgniteCacheDatabaseSharedManager mgr)
                     throws IgniteCheckedException

Parameters:
  `mgr` - Database shared manager.
Throws:
  `IgniteCheckedException`

#### afterInitialise

    void afterInitialise(IgniteCacheDatabaseSharedManager mgr)
                  throws IgniteCheckedException

Parameters:
  `mgr` - Database shared manager.
Throws:
  `IgniteCheckedException`

#### beforeStop

    void beforeStop(IgniteCacheDatabaseSharedManager mgr)

Parameters:
  `mgr` - Database shared manager.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019